Package org.codehaus.janino

# Class CodeContext.BasicBlock

java.lang.Object
org.codehaus.janino.CodeContext.Offset
org.codehaus.janino.CodeContext.BasicBlock

Enclosing class:
  `CodeContext`

public final class CodeContext.BasicBlock extends CodeContext.Offset
This `CodeContext.Offset` marks the first byte of a "basic block" in the sense of JLS 17 "4.10.1 Verification by Type Checking": The intent is that a stack map frame must appear at the beginning of each basic block in a method.

## Constructor Summary

Constructors
Constructor
Description
`BasicBlock()`

## Method Summary

### Methods inherited from class org.codehaus.janino.CodeContext.Offset

`getCodeContext, getStackMap, set, setBasicBlock, setOffset, setStackMap, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BasicBlock

public BasicBlock()